Bug 1249372 - The device name is incorrectly retrieved
The device name is incorrectly retrieved
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ipwatchd (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Imrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-02 00:16 EDT by Anthony
Modified: 2016-07-19 13:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:18:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony 2015-08-02 00:16:15 EDT
Description of problem:

I have several Nics:
enp0s29u1u6u1u2  ethernet  connected  
enp0s29u1u6u1u3  ethernet  connected 
enp0s29u1u6u2u1  ethernet  connected 
enp0s29u1u6u2u2  ethernet  connected 
It seems ipwatchd incorrectly retrieves the network device name as I keep getting this error in the logs. It basically sees only a prefix of the NIC name.

Aug 02 05:07:56 localhost.localdomain ipwatchd[17005]: Could not retrieve IP address of the device "enp0s29u1" : No such device
Aug 02 05:07:56 localhost.localdomain ipwatchd[17005]: Could not retrieve IP address of the device "enp0s29u1" : No such device
Aug 02 05:07:56 localhost.localdomain ipwatchd[17005]: Could not retrieve IP address of the device "enp0s29u1" : No such device
Aug 02 05:07:56 localhost.localdomain ipwatchd[17005]: Could not retrieve IP address of the device "enp0s29u1" : No such device
Aug 02 05:07:56 localhost.localdomain ipwatchd[17005]: Could not retrieve IP address of the device "enp0s29u1" : No such device

Version-Release number of selected component (if applicable):

IPwatchD 1.2.1
How reproducible:
100%

Steps to Reproduce:
1. run ipwatchd using the default config from /etc/ipwatchd.conf
2. check the logs : journalctl |grep ipwatchd
3. Result: See the errors.

Actual results:


Expected results:
No error

Additional info:
Comment 1 Jaroslav Imrich 2015-08-06 17:09:19 EDT
Problem is caused by a too small buffer (only 10 bytes) being reserved for a device name while in reality it can take up to 16 bytes. I am already working on a fix. Temporary solution is to use device names which are not longer than 9 characters. Thanks for reporting.
Comment 2 Fedora End Of Life 2016-07-19 13:18:57 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.